mbed_host_tests.host_tests.wait_us_auto.WaitusTest Class Reference
Inheritance diagram for mbed_host_tests.host_tests.wait_us_auto.WaitusTest:

## Public Member Functions

def | setup (self)
def | result (self)
def | teardown (self)

## Static Public Attributes

float | DEVIATION = 0.10
list | ticks = []

## Detailed Description

     This test is reading single characters from stdio
        and measures time between their occurrences.

Definition at line 22 of file wait_us_auto.py.

## Member Function Documentation

## result()

def mbed_host_tests.host_tests.wait_us_auto.WaitusTest.result | ( |  | self | ) |

Definition at line 42 of file wait_us_auto.py.

## setup()

def mbed_host_tests.host_tests.wait_us_auto.WaitusTest.setup | ( |  | self | ) |

Definition at line 38 of file wait_us_auto.py.

## teardown()

def mbed_host_tests.host_tests.wait_us_auto.WaitusTest.teardown | ( |  | self | ) |

Definition at line 61 of file wait_us_auto.py.

## Member Data Documentation

## DEVIATION

float mbed_host_tests.host_tests.wait_us_auto.WaitusTest.DEVIATION = 0.10

static

Definition at line 27 of file wait_us_auto.py.

## ticks

list mbed_host_tests.host_tests.wait_us_auto.WaitusTest.ticks = []

static

Definition at line 28 of file wait_us_auto.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests/wait_us_auto.py